package com.example.mynotepad.MenuFeatures.AllNotes.DataBase;

import androidx.room.Database;
import androidx.room.RoomDatabase;
import androidx.room.TypeConverters;

@Database(entities = {Note.class, DateEntity.class ,PicsEntity.class},version = 1)
@TypeConverters({Converters.class})
public abstract class NoteDataBase extends RoomDatabase {

    public abstract NoteDAO noteDao();
    public abstract DateNoreDAO dateNoreDAO();
    public abstract PicsDao picsDao();
}
